#
# spec file for package python-BTrees
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-BTrees
Version:        4.1.2
Release:        3.4
Summary:        Scalable persistent object containers
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            http://www.zope.org/Products/ZODB
Source:         https://pypi.python.org/packages/source/B/BTrees/BTrees-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-persistent-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope.interface
Requires:       python-persistent
Requires:       python-zope.interface
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-repoze.sphinx.autointerface
# Testing requirements:
BuildRequires:  python-transaction
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
This package contains a generic BTrees implementation for Python. It is
mainly used by the ZODB, though.

Note that the data manager API, BTrees.interfaces.IDataManager, is
syntactically simple, but semantically complex. The semantics were not easy to
express in the interface. This could probably use more work. The semantics are
presented in detail through examples of a sample data manager in
BTrees.tests.test_SampleDataManager.

%package devel
Summary:        Scalable persistent object containers
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description devel
This package contains the files needed for binding the %{name} C module.

%package doc
Summary:        Scalable persistent object containers
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n BTrees-%{version}

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm %{buildroot}%python_sitearch/BTrees/*.c

%check
python setup.py -q test

%files
%defattr(-,root,root)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt PKG-INFO README.rst
%exclude %python_sitearch/BTrees/*.h
%{python_sitearch}/*

%files devel
%defattr(-,root,root,-)
%python_sitearch/BTrees/*.h

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Mon Apr 27 2015 benoit.monin@gmx.fr
- update to version 4.1.2:
  * Suppress testing 64-bit values in OLBTrees on 32 bit machines.
  * Fix _p_changed for small pure-Python BTrees.
- make the tests less verbose to avoid spamming the build log
* Fri Feb  6 2015 hpj@urpla.net
- version 4.1.1
  - 4.1.1 (2014-12-27)
    Accomodate long values in pure-Python OLBTrees.
  - 4.1.0 (2014-12-26)
    Add support for PyPy and PyPy3.
    Add support for Python 3.4.
    BTree subclasses can define max_leaf_size or max_internal_size to control
    maximum sizes for Bucket/Set and BTree/TreeSet nodes.  Detect integer overflow
    on 32-bit machines correctly under Python 3.  Update pure-Python and C trees /
    sets to accept explicit None to indicate max / min value for minKey, maxKey.
    PR #3) Update pure-Python trees / sets to accept explicit None to indicate
    pen ranges for keys, values, items. (PR #3)
* Fri Aug  2 2013 hpj@urpla.net
- version 4.0.8: initial build
